Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Interface QueryExecution

    public interface QueryExecution

A interface for a single execution of a query.

Author:
  Andy Seaborne

Method Summary
`void` | `abort()` Stop in mid execution.
`void` | `close()` Close the query execution and stop query evaluation as soon as convenient.
`boolean` | `execAsk()` Execute an ASK query
`com.hp.hpl.jena.rdf.model.Model` | `execConstruct()` Execute a CONSTRUCT query
`com.hp.hpl.jena.rdf.model.Model` | `execConstruct(com.hp.hpl.jena.rdf.model.Model model)` Execute a CONSTRUCT query, putting the statements into 'model'.
`com.hp.hpl.jena.rdf.model.Model` | `execDescribe()` Execute a DESCRIBE query
`com.hp.hpl.jena.rdf.model.Model` | `execDescribe(com.hp.hpl.jena.rdf.model.Model model)` Execute a DESCRIBE query, putting the statements into 'model'.
`ResultSet` | `execSelect()` Execute a SELECT query
`com.hp.hpl.jena.sparql.util.Context` | `getContext()` The properties associated with a query execution - implementation specific parameters This includes Java objects (so it is not an RDF graph).
`Dataset` | `getDataset()` The dataset agisnt which the query will execute.
`void` | `setFileManager(com.hp.hpl.jena.util.FileManager fm)` Set the FileManger that might be used to load files.
`void` | `setInitialBinding(QuerySolution binding)` Set the initial association of variables and values.

Method Detail

### setFileManager

    void setFileManager(com.hp.hpl.jena.util.FileManager fm)

  Set the FileManger that might be used to load files. May not be supported by all QueryExecution implementations.

  Throws:
    `UnsupportedMethodException`

### setInitialBinding

    void setInitialBinding(QuerySolution binding)

  Set the initial association of variables and values. May not be supported by all QueryExecution implementations.

  Parameters:
    `binding` -
  Throws:
    `UnsupportedMethodException`

### getDataset

    Dataset getDataset()

  The dataset agisnt which the query will execute. May be null, implying it is expected that the query itself has a dataset description.

### getContext

    com.hp.hpl.jena.sparql.util.Context getContext()

  The properties associated with a query execution - implementation specific parameters This includes Java objects (so it is not an RDF graph). Keys should be URIs as strings. May be null (this implementation does not provide any configuration).

### execSelect

    ResultSet execSelect()

  Execute a SELECT query

### execConstruct

    com.hp.hpl.jena.rdf.model.Model execConstruct()

  Execute a CONSTRUCT query

### execConstruct

    com.hp.hpl.jena.rdf.model.Model execConstruct(com.hp.hpl.jena.rdf.model.Model model)

  Execute a CONSTRUCT query, putting the statements into 'model'.

  Returns:
    Model The model argument for casaded code.

### execDescribe

    com.hp.hpl.jena.rdf.model.Model execDescribe()

  Execute a DESCRIBE query

### execDescribe

    com.hp.hpl.jena.rdf.model.Model execDescribe(com.hp.hpl.jena.rdf.model.Model model)

  Execute a DESCRIBE query, putting the statements into 'model'.

  Returns:
    Model The model argument for casaded code.

### execAsk

    boolean execAsk()

  Execute an ASK query

### abort

    void abort()

  Stop in mid execution. No guarantee that the concrete implementation actual will stop or that it will do so immediately.

### close

    void close()

  Close the query execution and stop query evaluation as soon as convenient. It is important to close query execution objects in order to release resources such as working memory and to stop the query execution. Some storage subsystems require explicit ends of operations and this operation will cause those to be called where necessary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP